# Uses of Interface
com.clickhouse.jdbc.ClickHouseConnection

Packages that use ClickHouseConnection
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal

## Uses of ClickHouseConnection in com.clickhouse.jdbc

Methods in com.clickhouse.jdbc that return ClickHouseConnection
Modifier and Type
Method
Description
`ClickHouseConnection`
DriverV1.`connect(String url, Properties info)`
Deprecated.
`ClickHouseConnection`
ClickHouseStatement.`getConnection()`
Deprecated.
`ClickHouseConnection`
DataSourceV1.`getConnection()`
Deprecated.
`ClickHouseConnection`
DataSourceV1.`getConnection(String username, String password)`
Deprecated.
Constructors in com.clickhouse.jdbc with parameters of type ClickHouseConnection
Modifier
Constructor
Description
``
`ClickHouseDatabaseMetaData(ClickHouseConnection connection)`
Deprecated.

## Uses of ClickHouseConnection in com.clickhouse.jdbc.internal

Classes in com.clickhouse.jdbc.internal that implement ClickHouseConnection
Modifier and Type
Class
Description
`class`
`ClickHouseConnectionImpl`
Deprecated.
Methods in com.clickhouse.jdbc.internal that return ClickHouseConnection
Modifier and Type
Method
Description
`ClickHouseConnection`
ClickHouseStatementImpl.`getConnection()`
Deprecated.